Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 203667 - [PATCH] enhance system-config-rootpassword interface (Fedora Usability)
Summary: [PATCH] enhance system-config-rootpassword interface (Fedora Usability)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-rootpassword
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-08-22 21:55 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-30 11:14:21 UTC


Attachments (Terms of Use)
Patch to enhance system-config-rootpassword interface (deleted)
2006-08-22 21:55 UTC, Damien Durand
no flags Details | Diff

Description Damien Durand 2006-08-22 21:55:45 UTC
Hi,

The Fedora Usability team has made a patch for the system-config-rootpassword
tool. With this patch, the utility is more intuitive and sexy ;-)
You can take a look with this gif file :
http://glive.tuxfamily.org/blog/images/system-config-rootpassword2.gif


Thanks in advance

Damien Durand and the Fedora Usability team

Comment 1 Damien Durand 2006-08-22 21:55:49 UTC
Created attachment 134681 [details]
Patch to enhance system-config-rootpassword interface

Comment 2 Dave Malcolm 2006-08-22 22:06:35 UTC
I can't comment on the code quality, but the text needs a little revision.
Suggest changing at least:
from:
  "You can change the root password in filling \nthe following fields:"
to:
  "You can change the root password by filling \nthe following fields:"

from:
  "the fields are not the same, please filling \nagain"
to:
  "The two fields did not match.  Please try \nagain"

etc.  (Maybe reuse the old text, if it's already been translated)

Comment 3 Damien Durand 2006-08-22 22:26:33 UTC
Thank you for your comments, the labels are fixed by this new path :
http://glive.tuxfamily.org/code/new_system_config_root_password2.patch

For the old text, I think, it's not really coherent with the new interface,
tooltips etc... but yeah that can be a problem with the translation teams.

Regards,

Damien



Comment 4 Haïkel Guémar 2006-08-23 08:29:52 UTC
Just one thing, in the demo, when the pass-o-meter show the strong but the
tooltip says that it's based on a reversed dictionnary word, it was because the
tooltip was not updated. It had been fixed in the patch.
A password is only considered as strong when it is long enough (the limit was
put at 8 caracters) and it validates the cracklib test. Well it had a new
dependency in the rpm, but cracklib is already in core as a dependence of pam.
The pass-o-meter is only here to give a feedback to "average" end-users and not
sysadmins.

Comment 5 Damien Durand 2006-08-28 10:55:05 UTC
Ping?

Comment 6 Luke Macken 2006-09-10 20:58:11 UTC
In your animation, the 'Change root password' button become enabled while typing
the password a second time, before the second password is even the same length
as the first.   This should probably be fixed.


Comment 7 Paul Nasrat 2006-10-30 11:14:21 UTC
Sorry for the delay - I've commited this to HEAD with a small change to address
Comment #6.

Will be in rawhide shortly.

Comment 8 Damien Durand 2006-10-30 11:53:33 UTC
I'm really happy, thanks you for your devoted time ;-)


Note You need to log in before you can comment on or make changes to this bug.